#ifndef __TCP_COMMON_H__
#define __TCP_COMMON_H__

#include <exec/types.h>
#include <dos/dosextens.h>
#include <stdbool.h>

void _PrintSocketError(struct DosLibrary *DOSBase, struct Library *SocketBase, const char *header);
#define PrintSocketError(header) __PrintSocketError(DOSBase, SocketBase)
long _ConnectToServer(struct DosLibrary *DOSBase, struct Library *SocketBase, const char *serverHostname, short serverPort, long timeoutSeconds);
#define ConnectToServer(serverHostname, serverPort, timeoutSeconds) _ConnectToServer(DOSBase, SocketBase, serverHostname, serverPort, timeoutSeconds)
#endif
