#ifndef _TIMING_H_
#define _TIMING_H_

#include <exec/execbase.h>
#include <devices/timer.h>

#include <stdint.h>

struct timerequest *_OpenTimerDevice(struct ExecBase *SysBase, ULONG unitNum);
#define OpenTimerDevice(unitNum) _OpenTimerDevice(SysBase, unitNum)
void _CloseTimerDevice(struct ExecBase *SysBase, struct timerequest *timerReq);
#define CloseTimerDevice(timerReq) _CloseTimerDevice(SysBase, timerReq)
uint64_t _GetEClocks(struct Library *TimerBase);
#define GetEClocks() _GetEClocks(TimerBase)
struct timeval _EClocksToTimeval(struct Library *TimerBase, const uint64_t eClocks);
#define EClocksToTimeval(eClocks) _EClocksToTimeval(TimerBase, eClocks)

#endif // _TIMING_H_
